Transation History
curl --request POST \
--url https://flickopenapi.co/merchant/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "collection/payout/settlement",
"currency": "NGN/USD/GHS",
"limit": "50",
"date_begin": "2023-12-01 00:00:00",
"date_end": "2023-12-31 23:59:59"
}
'import requests
url = "https://flickopenapi.co/merchant/transactions"
payload = {
"category": "collection/payout/settlement",
"currency": "NGN/USD/GHS",
"limit": "50",
"date_begin": "2023-12-01 00:00:00",
"date_end": "2023-12-31 23:59:59"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category: 'collection/payout/settlement',
currency: 'NGN/USD/GHS',
limit: '50',
date_begin: '2023-12-01 00:00:00',
date_end: '2023-12-31 23:59:59'
})
};
fetch('https://flickopenapi.co/merchant/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'category' => 'collection/payout/settlement',
'currency' => 'NGN/USD/GHS',
'limit' => '50',
'date_begin' => '2023-12-01 00:00:00',
'date_end' => '2023-12-31 23:59:59'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/transactions"
payload := strings.NewReader("{\n \"category\": \"collection/payout/settlement\",\n \"currency\": \"NGN/USD/GHS\",\n \"limit\": \"50\",\n \"date_begin\": \"2023-12-01 00:00:00\",\n \"date_end\": \"2023-12-31 23:59:59\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"category\": \"collection/payout/settlement\",\n \"currency\": \"NGN/USD/GHS\",\n \"limit\": \"50\",\n \"date_begin\": \"2023-12-01 00:00:00\",\n \"date_end\": \"2023-12-31 23:59:59\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"category\": \"collection/payout/settlement\",\n \"currency\": \"NGN/USD/GHS\",\n \"limit\": \"50\",\n \"date_begin\": \"2023-12-01 00:00:00\",\n \"date_end\": \"2023-12-31 23:59:59\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "List of banks that generate virtual nubans ",
"data": [
{
"eventname": "charge.success",
"transtype": "credit",
"total_amount": 18000,
"settled_amount": 17910,
"fee_charged": 90,
"currency_settled": "NGN",
"dated": "2023-12-27T20:37:18.735Z",
"status": "Success",
"channel": "Nuban",
"channelreference": "2uCkPt1bwCupYd",
"transactionid": "9b703-9081-40c7-84490e",
"narration": "Transaction was successfull",
"balance_after": 837603,
"balance_before": 819693,
"is_completed": 1,
"is_settled_location": "wallet",
"email": "transation@gmail.com"
},
{
"eventname": "charge.success",
"transtype": "credit",
"total_amount": 60000,
"settled_amount": 59700,
"fee_charged": 300,
"currency_settled": "NGN",
"dated": "2023-12-27T16:07:22.796Z",
"status": "Success",
"channel": "Nuban",
"channelreference": "fb0e-4748-bb47-1ba390",
"transactionid": "fb0e-4748-bb47-1ba31333a690",
"narration": "Transaction was successfull",
"balance_after": 819693,
"balance_before": 759993,
"is_completed": 1,
"is_settled_location": "wallet",
"email": "transation@gmail.com"
},
{
"eventname": "charge.success",
"transtype": "credit",
"total_amount": 18000,
"settled_amount": 17910,
"fee_charged": 90,
"currency_settled": "NGN",
"dated": "2023-12-24T16:00:24.923Z",
"status": "success",
"channel": "Nuban",
"channelreference": "24154940122",
"transactionid": "1224154940122",
"narration": "merchant account funding",
"balance_after": 759993,
"balance_before": 742083,
"is_completed": 1,
"is_settled_location": "wallet",
"email": "transation@gmail.com"
}
]
}API Reference
Transation History
Inititate a Trans History
POST
/
merchant
/
transactions
Transation History
curl --request POST \
--url https://flickopenapi.co/merchant/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "collection/payout/settlement",
"currency": "NGN/USD/GHS",
"limit": "50",
"date_begin": "2023-12-01 00:00:00",
"date_end": "2023-12-31 23:59:59"
}
'import requests
url = "https://flickopenapi.co/merchant/transactions"
payload = {
"category": "collection/payout/settlement",
"currency": "NGN/USD/GHS",
"limit": "50",
"date_begin": "2023-12-01 00:00:00",
"date_end": "2023-12-31 23:59:59"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category: 'collection/payout/settlement',
currency: 'NGN/USD/GHS',
limit: '50',
date_begin: '2023-12-01 00:00:00',
date_end: '2023-12-31 23:59:59'
})
};
fetch('https://flickopenapi.co/merchant/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'category' => 'collection/payout/settlement',
'currency' => 'NGN/USD/GHS',
'limit' => '50',
'date_begin' => '2023-12-01 00:00:00',
'date_end' => '2023-12-31 23:59:59'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/transactions"
payload := strings.NewReader("{\n \"category\": \"collection/payout/settlement\",\n \"currency\": \"NGN/USD/GHS\",\n \"limit\": \"50\",\n \"date_begin\": \"2023-12-01 00:00:00\",\n \"date_end\": \"2023-12-31 23:59:59\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"category\": \"collection/payout/settlement\",\n \"currency\": \"NGN/USD/GHS\",\n \"limit\": \"50\",\n \"date_begin\": \"2023-12-01 00:00:00\",\n \"date_end\": \"2023-12-31 23:59:59\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"category\": \"collection/payout/settlement\",\n \"currency\": \"NGN/USD/GHS\",\n \"limit\": \"50\",\n \"date_begin\": \"2023-12-01 00:00:00\",\n \"date_end\": \"2023-12-31 23:59:59\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "List of banks that generate virtual nubans ",
"data": [
{
"eventname": "charge.success",
"transtype": "credit",
"total_amount": 18000,
"settled_amount": 17910,
"fee_charged": 90,
"currency_settled": "NGN",
"dated": "2023-12-27T20:37:18.735Z",
"status": "Success",
"channel": "Nuban",
"channelreference": "2uCkPt1bwCupYd",
"transactionid": "9b703-9081-40c7-84490e",
"narration": "Transaction was successfull",
"balance_after": 837603,
"balance_before": 819693,
"is_completed": 1,
"is_settled_location": "wallet",
"email": "transation@gmail.com"
},
{
"eventname": "charge.success",
"transtype": "credit",
"total_amount": 60000,
"settled_amount": 59700,
"fee_charged": 300,
"currency_settled": "NGN",
"dated": "2023-12-27T16:07:22.796Z",
"status": "Success",
"channel": "Nuban",
"channelreference": "fb0e-4748-bb47-1ba390",
"transactionid": "fb0e-4748-bb47-1ba31333a690",
"narration": "Transaction was successfull",
"balance_after": 819693,
"balance_before": 759993,
"is_completed": 1,
"is_settled_location": "wallet",
"email": "transation@gmail.com"
},
{
"eventname": "charge.success",
"transtype": "credit",
"total_amount": 18000,
"settled_amount": 17910,
"fee_charged": 90,
"currency_settled": "NGN",
"dated": "2023-12-24T16:00:24.923Z",
"status": "success",
"channel": "Nuban",
"channelreference": "24154940122",
"transactionid": "1224154940122",
"narration": "merchant account funding",
"balance_after": 759993,
"balance_before": 742083,
"is_completed": 1,
"is_settled_location": "wallet",
"email": "transation@gmail.com"
}
]
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Transation History list